Updating upstream sources
-------------------------

This package maintains a filtered upstream history where vendored libraries are
removed before importing the new upstream release into the Debian packaging
branch.

When updating to a later release using the following instructions, replace
`v1.17.5` with the new upstream upstream and also replace `v1.16.2b1` with the
last packaged version.

To update to a new upstream release and remove the vendored libraries:

  git branch -D upstream/filtered/latest

  git switch -c upstream/filtered/latest upstream/filtered/v1.16.2b1

  git reset --hard v1.17.5

  git rm -r lslboost/ thirdparty/asio thirdparty/asio_objects.cpp cmake/ios.toolchain.cmake

  git commit -sm "Remove vendored libraries"

  git tag upstream/filtered/v1.17.5

  gbp import-ref \
    --upstream-tag='upstream/filtered/v%(version)s' \
    --debian-branch=debian/unstable \
    -u 1.17.5 \
    upstream/filtered/v1.17.5
